Bug 1247733 - Fix regressions in support for bytes / unicode in certain APIs
Fix regressions in support for bytes / unicode in certain APIs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pyOpenSSL (Show other bugs)
22
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
https://github.com/pyca/pyopenssl/iss...
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 13:11 EDT by Brandon Perkins
Modified: 2015-08-12 02:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: pyOpenSSL-0.15.1-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-12 02:59:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon Perkins 2015-07-28 13:11:57 EDT
Description of problem:
Fix regressions in support for bytes / unicode in certain APIs

Version-Release number of selected component (if applicable):
pyOpenSSL-0.14-3.fc22

How reproducible:
Always

Steps to Reproduce:
1. # dnf -y install python-bugzilla
2. $ /usr/bin/bugzilla login 
3. Enter Bugzilla Username
4. Enter Bugzilla Password

Actual results:
data must be a byte string

Expected results:
Login successful.

Additional info:
This works with pyOpenSSL-0.13.1-4.fc22.  Theory goes that it will also be fixed in pyOpenSSL-0.15, but that isn't available yet.  I know there are other reproducers, but as this is the vector I found the issue, that's the way I'm reporting it.
Comment 1 Fedora Update System 2015-08-07 08:57:04 EDT
pyOpenSSL-0.15.1-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/pyOpenSSL-0.15.1-1.fc22
Comment 2 Fedora Update System 2015-08-07 21:09:43 EDT
Package pyOpenSSL-0.15.1-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pyOpenSSL-0.15.1-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-13008/pyOpenSSL-0.15.1-1.fc22
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2015-08-12 02:59:34 EDT
pyOpenSSL-0.15.1-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.